COMM(1)

NAME
comm - compare two sorted files line by line

SYNOPSIS
comm [-123] [--help] [--version] file1 file2

DESCRIPTION
This documentation is no longer being maintained and may be inaccurate or incomplete. The Texinfo documentation is now the authoritative source.

This manual page documents the GNU version of comm. comm prints lines that are common, and lines that are unique, to two input files. The two files must be sorted before comm can be used. The file name `-' means the standard input.

With no options, comm produces three column output. Column one contains lines unique to file1, column two contains lines unique to file2, and column three contains lines common to both files.

  OPTIONS

The options -1, -2, and -3 suppress printing of the corresponding columns.

--help
    Print a usage message and exit with a status code indicating success.

--version
    Print version information on standard output then exit.